:root {
    font-family: 'SF-Pro-Text-Regular', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 18px;
    overflow-x: hidden;
}

body {
    margin: 0;
    background-color: var(--light-background);
    color: var(--dark);
}

/* ::selection {
    background-color: var(--primary-color)
} */


h1,
h2,
h3,
h4,
h5,
h6,
summary {
    font-family: 'SF-Pro-Display-Semibold', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin: 0;
    margin-bottom: 0.8em;
}

h2 {
    font-weight: 600;
    font-size: 26px;
}

h3 {
    font-weight: 600;
    font-size: 22.5px;
}

h4 {
    font-weight: 600;
    font-size: 19px;
}

h5 {
    font-weight: 600;
    font-size: 15.5px;
}

h6 {
    font-weight: 600;
    font-size: 12.5px;
}

b {
    font-family: 'SF-Pro-Text-Semibold', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}


a {
    text-decoration: none;
    color: var(--primary-color);
    cursor: pointer;
}

a:hover {
    color: var(--darker-than-primary-color);
}

a:active {
    color: var(--much-darker-than-primary-color);
}

.no-scroll {
    overflow: hidden !important;
    padding-right: var(--scrollbar-width, 0px) !important;
}

.no-user-select {
    user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    -webkit-user-select: none;
}

.no-user-drag {
    -webkit-user-drag: none;
}

.secondary {
    color: var(--gray);
    font-size: 0.72em;
}


.header {
    margin-bottom: 10px;
}


.hidden {
    display: none;
}

.error {
    color: var(--red);
    margin: 10px;
}

.error.error-no-margin {
    margin: 0;
}

.go {
    height: 16px;
    -webkit-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    -moz-user-select: none;
    user-select: none;
    filter: var(--invert)
}

details[open] .expander {
    transform: rotate(90deg);
}


.large-info {
    font-size: 21px;
    font-weight: 500;
}

.small-info {
    font-size: 17px;
    font-weight: 500;
    color: var(--gray);
    margin: 0.5em 0;
}

/* mil = more information link */
.mil {
    cursor: pointer !important;
    color: var(--dark);
    padding: 5px;
    border-radius: 5px;
}

.mil:hover {
    background-color: var(--much-darker-than-light);
    color: var(--dark);
}

.mil:active {
    background-color: var(--very-much-darker-than-light);
    color: var(--dark)
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    flex-shrink: 1;
    min-width: 0;
    display: block;
    flex: 1 1 1;

    word-break: break-word;
    overflow-wrap: anywhere;
}

.list-item-large-info {
    display: flex;
    min-width: 0;
    width: 100%;
    max-width: 100%;
    margin-top: 0.8em;
    font-size: 17px;
    font-weight: 600;
    line-height: 0.8em;
}

.list-item-small-info {
    font-size: 12px;
    font-weight: 500;
    line-height: 0.8em;
}

#private-application-banner-container {
    padding-top: 49px;
}

.separator {
    height: 1px;
    width: 100%;
    background-color: var(--very-much-lighter-than-gray);
}

.full-width {
    width: 100%;
}

#popup-set-client-language-language-list {
    margin-top: 50px;
    overflow-y: auto;
    overflow-x: hidden;
}

.fenced-codeblock {
    background-color: var(--very-much-lighter-than-gray);
    padding: 12px;
    border-radius: 8px;
    display: block;
    width: 100%;
    box-sizing: border-box;
}